### Function

# Gimp Vectors export_to_file

#### Declaration [src]

    gboolean
    gimp_vectors_export_to_file (
      GimpImage* image,
      GFile* file,
      GimpVectors* vectors
    )

#### Description [src]

Save a path as an SVG file.

This procedure creates an SVG file to save a Vectors object, that is, a path. The resulting file can be edited using a vector graphics application, or later reloaded into GIMP. If you pass 0 as the ‘vectors’ argument, then all paths in the image will be exported.

Available since: | 2.6

#### Parameters

`image` | `GimpImage`
| The image.
| The data is owned by the caller of the function.
`file` | `GFile`
| The SVG file to create.
| The data is owned by the caller of the function.
`vectors` | `GimpVectors`
| The vectors object to be saved, or 0 for all in the image.
| The data is owned by the caller of the function.

#### Return value

Returns: | `gboolean`
| TRUE on success.